- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# ec2_vpc_nacl_info – Gather information about Network ACLs in an AWS VPC

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Gather information about Network ACLs in an AWS VPC
- This module was called `ec2_vpc_nacl_facts` before Ansible 2.9. The usage did not change.

Aliases: ec2_vpc_nacl_facts

## Requirements

The below requirements are needed on the host that executes this module.

- boto
- boto3
- python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aws_access_key string |  | AWS access key. If not set then the value of the AWS_ACCESS_KEY_ID, AWS_ACCESS_KEY or EC2_ACCESS_KEY environment variable is used. aliases: ec2_access_key, access_key
aws_secret_key string |  | AWS secret key. If not set then the value of the AWS_SECRET_ACCESS_KEY, AWS_SECRET_KEY, or EC2_SECRET_KEY environment variable is used. aliases: ec2_secret_key, secret_key
debug_botocore_endpoint_logs boolean added in 2.8 | Choices: no ← yes | Use a botocore.endpoint logger to parse the unique (rather than total) "resource:action" API calls made during a task, outputing the set to the resource_actions key in the task results. Use the aws_resource_action callback to output to total list made during a playbook. The ANSIBLE_DEBUG_BOTOCORE_LOGS environment variable may also be used.
ec2_url string |  | Url to use to connect to EC2 or your Eucalyptus cloud (by default the module will use EC2 endpoints). Ignored for modules where region is required. Must be specified for all other modules if region is not used. If not set then the value of the EC2_URL environment variable, if any, is used.
filters - | Default: {} | A dict of filters to apply. Each dict item consists of a filter key and a filter value. See https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DescribeNetworkAcls.html for possible filters. Filter names and values are case sensitive.
nacl_ids - | Default: [] | A list of Network ACL IDs to retrieve information about. aliases: nacl_id
profile string |  | Uses a boto profile. Only works with boto >= 2.24.0.
region string |  | The AWS region to use. If not specified then the value of the AWS_REGION or EC2_REGION environment variable, if any, is used. See http://docs.aws.amazon.com/general/latest/gr/rande.html#ec2_region aliases: aws_region, ec2_region
security_token string |  | AWS STS security token. If not set then the value of the AWS_SECURITY_TOKEN or EC2_SECURITY_TOKEN environment variable is used. aliases: access_token
validate_certs boolean | Choices: no yes ← | When set to "no", SSL certificates will not be validated for boto versions >= 2.6.0.

## Notes

Note

- By default, the module will return all Network ACLs.
- If parameters are not set within the module, the following environment variables can be used in decreasing order of precedence `AWS_URL` or `EC2_URL`, `AWS_ACCESS_KEY_ID` or `AWS_ACCESS_KEY` or `EC2_ACCESS_KEY`, `AWS_SECRET_ACCESS_KEY` or `AWS_SECRET_KEY` or `EC2_SECRET_KEY`, `AWS_SECURITY_TOKEN` or `EC2_SECURITY_TOKEN`, `AWS_REGION` or `EC2_REGION`
- Ansible uses the boto configuration file (typically ~/.boto) if no credentials are provided. See https://boto.readthedocs.io/en/latest/boto_config_tut.html
- `AWS_REGION` or `EC2_REGION` can be typically be used to specify the AWS region, when required, but this can also be configured in the boto config file

## Examples

    # Note: These examples do not set authentication details, see the AWS Guide for details.

    # Gather information about all Network ACLs:
    - name: Get All NACLs
      register: all_nacls
      ec2_vpc_nacl_info:
        region: us-west-2

    # Retrieve default Network ACLs:
    - name: Get Default NACLs
      register: default_nacls
      ec2_vpc_nacl_info:
        region: us-west-2
        filters:
          'default': 'true'

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
nacls complex | success | Returns an array of complex objects as described below.
| egress list of list | always | A list of NACL egress rules with the following format. `[rule no, protocol, allow/deny, v4 or v6 cidr, icmp_type, icmp_code, port from, port to]` Sample: [[100, 'all', 'allow', '0.0.0.0/0', None, None, None, None]]
| ingress list of list | always | A list of NACL ingress rules with the following format. `[rule no, protocol, allow/deny, v4 or v6 cidr, icmp_type, icmp_code, port from, port to]` Sample: [[100, 'tcp', 'allow', '0.0.0.0/0', None, None, 22, 22]]
| is_default boolean | always | True if the NACL is the default for its VPC.
| nacl_id string | always | The ID of the Network Access Control List.
| subnets list of string | always | A list of subnet IDs that are associated with the NACL.
| tags dictionary | always | A dict of tags associated with the NACL.
| vpc_id string | always | The ID of the VPC that the NACL is attached to.

## Status

- This module is guaranteed to have backward compatible interface changes going forward. [stableinterface]
- This module is maintained by the Ansible Community. [community]

### Authors

- Brad Davidson (@brandond)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.